Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/trabbc.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/trabbc.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/trabbc.F90	(revision 10774)
@@ -158,4 +158,5 @@
          WRITE(numout,*) '      Constant geothermal flux value               rn_geoflx_cst = ', rn_geoflx_cst
          WRITE(numout,*)
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -196,4 +197,5 @@
          IF(lwp) WRITE(numout,*) '      *** no geothermal heat flux'
       ENDIF
+      IF(lwp .AND. lflush) CALL flush(numout)
       !
    END SUBROUTINE tra_bbc_init
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/trabbl.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/trabbl.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/trabbl.F90	(revision 10774)
@@ -358,4 +358,5 @@
          IF(lwp)  WRITE(numout,*) 'trabbl:bbl : Compute bbl velocities and diffusive coefficients in ', cdtype
          IF(lwp)  WRITE(numout,*) '~~~~~~~~~~'
+         IF(lflush) CALL flush(numout)
       ENDIF
       !                                        !* bottom variables (T, S, alpha, beta, depth, velocity)
@@ -530,4 +531,5 @@
          WRITE(numout,*) '          diffusive bbl coefficient           rn_ahtbbl  = ', rn_ahtbbl, ' m2/s'
          WRITE(numout,*) '          advective bbl coefficient           rn_gambbl  = ', rn_gambbl, ' s'
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -538,4 +540,5 @@
          IF( nn_bbl_adv == 1 )    WRITE(numout,*) '       * Advective BBL using upper velocity'
          IF( nn_bbl_adv == 2 )    WRITE(numout,*) '       * Advective BBL using velocity = F( delta rho)'
+         IF(lflush) CALL flush(numout)
       ENDIF
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/tradmp.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/tradmp.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/tradmp.F90	(revision 10774)
@@ -214,4 +214,5 @@
          WRITE(numout,*) '      Damping file name               cn_resto  = ', cn_resto
          WRITE(numout,*)
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -227,4 +228,5 @@
          CASE ( 2 )  ; IF(lwp) WRITE(numout,*) '   no tracer damping in the mixed layer'
          END SELECT
+         IF(lwp .AND. lflush) CALL flush(numout)
 
          !TG: Initialisation of dtatsd - Would it be better to have dmpdta routine
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traldf.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traldf.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traldf.F90	(revision 10774)
@@ -159,4 +159,5 @@
          WRITE(numout,*) '   see ldf_tra_init report for lateral mixing parameters'
          WRITE(numout,*)
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -227,4 +228,5 @@
       IF( lk_esopa ) THEN
          IF(lwp) WRITE(numout,*) '          esopa control: use all lateral physics options'
+         IF(lwp .AND. lflush) CALL flush(numout)
          nldf = -1
       ENDIF
@@ -238,4 +240,5 @@
          IF( nldf ==  2 )   WRITE(numout,*) '          bilaplacian operator'
          IF( nldf ==  3 )   WRITE(numout,*) '          Rotated bilaplacian'
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -278,4 +281,5 @@
          WRITE(numout,*) 'tra:ldf_ano : lateral diffusion acting on anomalies'
          WRITE(numout,*) '~~~~~~~~~~~'
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -292,4 +296,5 @@
       zs_ref(:,:,:) = 35.0 * tmask(:,:,:)
       IF(lwp) WRITE(numout,*) '              homogeneous ocean T = ', zt0, ' S = ',zs0
+      IF(lwp .AND. lflush) CALL flush(numout)
 
       ! Initialisation of gtui/gtvi in case of no cavity
@@ -359,4 +364,5 @@
          WRITE(numout,*) 'tra:ldf_ano : lateral diffusion acting on the full fields'
          WRITE(numout,*) '~~~~~~~~~~~'
+         IF(lflush) CALL flush(numout)
       ENDIF
    END SUBROUTINE ldf_ano
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_bilap.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_bilap.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_bilap.F90	(revision 10774)
@@ -102,4 +102,5 @@
          IF(lwp) WRITE(numout,*) 'tra_ldf_bilap : iso-level biharmonic operator on ', cdtype
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~~'
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
       !                                                          ! ===========
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_bilapg.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_bilapg.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_bilapg.F90	(revision 10774)
@@ -88,4 +88,5 @@
          IF(lwp) WRITE(numout,*) 'tra_ldf_bilapg : horizontal biharmonic operator in s-coordinate on ', cdtype
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~~~'
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_iso.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_iso.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_iso.F90	(revision 10774)
@@ -137,4 +137,5 @@
          IF(lwp) WRITE(numout,*) 'tra_ldf_iso : rotated laplacian diffusion operator on ', cdtype
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~'
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
       !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_iso_grif.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_iso_grif.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_iso_grif.F90	(revision 10774)
@@ -128,4 +128,5 @@
          IF(lwp) WRITE(numout,*) 'tra_ldf_iso_grif : rotated laplacian diffusion operator on ', cdtype
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~'
+         IF(lwp .AND. lflush) CALL flush(numout)
          ALLOCATE( ah_wslp2(jpi,jpj,jpk) , zdkt3d(jpi,jpj,0:1), STAT=ierr )
          IF( lk_mpp   )   CALL mpp_sum ( ierr )
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_lap.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_lap.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_lap.F90	(revision 10774)
@@ -85,4 +85,5 @@
          IF(lwp) WRITE(numout,*) 'tra_ldf_lap : iso-level laplacian diffusion on ', cdtype
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~ '
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/tranpc.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/tranpc.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/tranpc.F90	(revision 10774)
@@ -164,4 +164,5 @@
                               END DO
                               WRITE(numout,*)
+                              IF(lflush) CALL flush(numout)
                            ENDIF
                            
@@ -169,5 +170,8 @@
                            IF( jiter == 1 )   inpcc = inpcc + 1 
 
-                           IF( lp_monitor_point )   WRITE(numout, *) 'Negative N2 at ikp =',ikp,' for layer #', ilayer
+                           IF( lp_monitor_point )   THEN
+                              WRITE(numout, *) 'Negative N2 at ikp =',ikp,' for layer #', ilayer
+                              IF(lflush) CALL flush(numout)
+                           ENDIF
 
                            !! ikup is the uppermost point where mixing will start:
@@ -223,4 +227,5 @@
                               WRITE(numout,*) '  => Mean Alfa  in that portion =', zalfa
                               WRITE(numout,*) '  => Mean Beta  in that portion =', zbeta
+                              IF(lflush) CALL flush(numout)
                            ENDIF
 
@@ -285,4 +290,5 @@
                            END DO
                            WRITE(numout,*)
+                           IF(lflush) CALL flush(numout)
                         ENDIF
                         !
@@ -323,4 +329,5 @@
             WRITE(numout,*) 'Exiting tra_npc , kt = ',kt,', => numb. of statically instable water-columns: ', inpcc
             WRITE(numout,*)
+            IF(lflush) CALL flush(numout)
          ENDIF
          !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/tranxt.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/tranxt.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/tranxt.F90	(revision 10774)
@@ -105,4 +105,5 @@
          IF(lwp) WRITE(numout,*) 'tra_nxt : achieve the time stepping by Asselin filter and array swap'
          IF(lwp) WRITE(numout,*) '~~~~~~~'
+         IF(lwp .AND. lflush) CALL flush(numout)
          !
          rbcp = 0.25_wp * (1._wp + atfp) * (1._wp + atfp) * ( 1._wp - atfp)      ! Brown & Campana parameter for semi-implicit hpg
@@ -243,4 +244,5 @@
          IF(lwp) WRITE(numout,*) 'tra_nxt_fix : time stepping', cdtype
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~'
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
       !
@@ -317,4 +319,5 @@
          IF(lwp) WRITE(numout,*) 'tra_nxt_vvl : time stepping', cdtype
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~'
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
       !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 10774)
@@ -119,4 +119,5 @@
          IF(lwp) WRITE(numout,*) 'tra_qsr : penetration of the surface solar radiation'
          IF(lwp) WRITE(numout,*) '~~~~~~~'
+         IF(lwp .AND. lflush) CALL flush(numout)
          IF( .NOT.ln_traqsr )   RETURN
       ENDIF
@@ -135,5 +136,8 @@
          IF( ln_rstart .AND.    &                    ! Restart: read in restart file
               & iom_varid( numror, 'qsr_hc_b', ldstop = .FALSE. ) > 0 ) THEN
-            IF(lwp .AND. nprint >0) WRITE(numout,*) '          nit000-1 qsr tracer content forcing field red in the restart file'
+            IF(lwp .AND. nprint >0) THEN
+               WRITE(numout,*) '          nit000-1 qsr tracer content forcing field red in the restart file'
+               IF(lflush) CALL flush(numout)
+            ENDIF
             zfact = 0.5e0
             CALL iom_get( numror, jpdom_autoglo, 'qsr_hc_b', qsr_hc_b )   ! before heat content trend due to Qsr flux
@@ -369,4 +373,5 @@
             &                    'at it= ', kt,' date= ', ndastp
             WRITE(numout,*) '~~~~'
+            IF(lflush) CALL flush(numout)
          ENDIF
          IF(nn_timing == 2)  CALL timing_start('iom_rstput') 
@@ -456,4 +461,5 @@
          WRITE(numout,*) '      RGB & 2 bands: shortess depth of extinction  rn_si0 = ', rn_si0
          WRITE(numout,*) '      2 bands: longest depth of extinction         rn_si1 = ', rn_si1
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -487,4 +493,5 @@
             IF( nqsr ==  4 )   WRITE(numout,*) '         2 bands light penetration'
             IF( nqsr ==  5 )   WRITE(numout,*) '         bio-model light penetration'
+            IF(lflush) CALL flush(numout)
          ENDIF
          !
@@ -569,4 +576,6 @@
             ENDIF
             !
+            IF(lwp .AND. lflush) CALL flush(numout)
+            !
          ENDIF
             !                             ! ---------------------------------- !
@@ -578,9 +587,11 @@
             IF(lwp) THEN
                WRITE(numout,*)
-            IF(lwp) WRITE(numout,*) '        level of light extinction = ', nksr, ' ref depth = ', gdepw_1d(nksr+1), ' m'
+               WRITE(numout,*) '        level of light extinction = ', nksr, ' ref depth = ', gdepw_1d(nksr+1), ' m'
+               IF(lflush) CALL flush(numout)
             ENDIF
             !
             IF( lk_vvl ) THEN                   ! variable volume
                IF(lwp) WRITE(numout,*) '        key_vvl: light distribution will be computed at each time step'
+               IF(lwp .AND. lflush) CALL flush(numout)
             ELSE                                ! constant volume: computes one for all
                zz0 =        rn_abs   * r1_rau0_rcp
@@ -606,4 +617,5 @@
             WRITE(numout,*) 'tra_qsr_init : NO solar flux penetration'
             WRITE(numout,*) '~~~~~~~~~~~~'
+            IF(lflush) CALL flush(numout)
          ENDIF
       ENDIF
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/trasbc.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/trasbc.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/trasbc.F90	(revision 10774)
@@ -133,4 +133,5 @@
          IF(lwp) WRITE(numout,*) 'tra_sbc : TRAcer Surface Boundary Condition'
          IF(lwp) WRITE(numout,*) '~~~~~~~ '
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
 
@@ -157,4 +158,5 @@
               & iom_varid( numror, 'sbc_hc_b', ldstop = .FALSE. ) > 0 ) THEN
             IF(lwp) WRITE(numout,*) '          nit000-1 surface tracer content forcing fields red in the restart file'
+            IF(lwp .AND. lflush) CALL flush(numout)
             zfact = 0.5_wp
             CALL iom_get( numror, jpdom_autoglo, 'sbc_hc_b', sbc_tsc_b(:,:,jp_tem) )   ! before heat content sbc trend
@@ -214,4 +216,5 @@
             &                    'at it= ', kt,' date= ', ndastp
             WRITE(numout,*) '~~~~'
+            IF(lflush) CALL flush(numout)
          ENDIF
          IF(nn_timing == 2)  CALL timing_start('iom_rstput')
@@ -262,4 +265,5 @@
                &                    'at it= ', kt,' date= ', ndastp
                 WRITE(numout,*) '~~~~'
+                IF(lflush) CALL flush(numout)
             ENDIF
             IF(nn_timing == 2)  CALL timing_start('iom_rstput')
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf.F90	(revision 10774)
@@ -163,4 +163,5 @@
          IF( nzdf ==  0 )   WRITE(numout,*) '              Explicit time-splitting scheme'
          IF( nzdf ==  1 )   WRITE(numout,*) '              Implicit (euler backward) scheme'
+         IF(lflush) CALL flush(numout)
       ENDIF
       !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf_exp.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf_exp.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf_exp.F90	(revision 10774)
@@ -100,4 +100,5 @@
          IF(lwp) WRITE(numout,*) 'tra_zdf_exp : explicit vertical mixing on ', cdtype
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~'
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf_imp.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf_imp.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf_imp.F90	(revision 10774)
@@ -99,4 +99,5 @@
          IF(lwp)WRITE(numout,*) 'tra_zdf_imp : implicit vertical mixing on ', cdtype
          IF(lwp)WRITE(numout,*) '~~~~~~~~~~~ '
+         IF(lwp .AND. lflush) CALL flush(numout)
          !
          IF( lk_vvl ) THEN   ;    r_vvl = 1._wp       ! Variable volume indicator
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRD/trdglo.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRD/trdglo.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRD/trdglo.F90	(revision 10774)
@@ -285,4 +285,5 @@
             WRITE (numout,9513) umo(jpdyn_tau) / tvolu, vmo(jpdyn_tau) / tvolv
             IF( ln_bfrimp )   WRITE (numout,9514) umo(jpdyn_bfri) / tvolu, vmo(jpdyn_bfri) / tvolv
+            IF(lflush) CALL flush(numout)
          ENDIF
 
@@ -324,4 +325,5 @@
             WRITE (numout,9533) hke(jpdyn_tau) / tvolt
             IF( ln_bfrimp )   WRITE (numout,9534) hke(jpdyn_bfri) / tvolt
+            IF(lflush) CALL flush(numout)
          ENDIF
 
@@ -356,4 +358,5 @@
             WRITE (numout,*)
             WRITE (numout,*)
+            IF(lflush) CALL flush(numout)
          ENDIF
 
@@ -424,4 +427,5 @@
             &                   (  smo(jptra_xad) + smo(jptra_yad) + smo(jptra_zad) + smo(jptra_ldf) + smo(jptra_zdf)   &
             &                    + smo(jptra_npc) + smo(jptra_dmp)                   + smo(jptra_nsr) ) / tvolt
+            IF(lflush) CALL flush(numout)
          ENDIF
 
@@ -459,4 +463,5 @@
             &                   (  s2(jptra_xad) + s2(jptra_yad) + s2(jptra_zad) + s2(jptra_ldf) + s2(jptra_zdf)   &
             &                    + s2(jptra_npc) + s2(jptra_dmp)                  + s2(jptra_nsr) ) / tvolt
+            IF(lflush) CALL flush(numout)
          ENDIF
 
@@ -491,4 +496,5 @@
             WRITE (numout,9448)   t2(jptra_zdf)/tvolt,   s2(jptra_zdf)/tvolt
             WRITE (numout,9449)   t2(jptra_npc)/tvolt,   s2(jptra_npc)/tvolt
+            IF(lflush) CALL flush(numout)
          ENDIF
 
@@ -524,4 +530,5 @@
          WRITE(numout,*) 'trd_glo_init : integral constraints properties trends'
          WRITE(numout,*) '~~~~~~~~~~~~~'
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -534,4 +541,5 @@
 
       IF(lwp) WRITE(numout,*) '                total ocean volume at T-point   tvolt = ',tvolt
+      IF(lwp .AND. lflush) CALL flush(numout)
 
       ! Initialization of potential to kinetic energy conversion
@@ -557,4 +565,5 @@
          WRITE(numout,*) '                total ocean volume at U-point   tvolu = ',tvolu
          WRITE(numout,*) '                total ocean volume at V-point   tvolv = ',tvolv
+         IF(lflush) CALL flush(numout)
       ENDIF
       !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRD/trdini.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRD/trdini.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRD/trdini.F90	(revision 10774)
@@ -71,4 +71,5 @@
          !
          WRITE(numout,*) '      frequency of trends diagnostics (glo)     nn_trd      = ', nn_trd
+         IF(lflush) CALL flush(numout)
       ENDIF
       !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRD/trdken.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRD/trdken.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRD/trdken.F90	(revision 10774)
@@ -287,4 +287,5 @@
          WRITE(numout,*) 'trd_ken_init : 3D Kinetic Energy trends'
          WRITE(numout,*) '~~~~~~~~~~~~~'
+         IF(lflush) CALL flush(numout)
       ENDIF
       !                           ! allocate box volume arrays
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRD/trdmxl.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRD/trdmxl.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRD/trdmxl.F90	(revision 10774)
@@ -393,4 +393,5 @@
          IF( ln_ctl ) THEN
             WRITE(numout,*) '             we reach kt == nit000 + 1 = ', nit000+1
+            IF(lflush) CALL flush(numout)
             CALL prt_ctl(tab2d_1=tmlbb   , clinfo1=' tmlbb   -   : ', mask1=tmask, ovlap=1)
             CALL prt_ctl(tab2d_1=tmlbn   , clinfo1=' tmlbn   -   : ', mask1=tmask, ovlap=1)
@@ -403,4 +404,5 @@
          IF( ln_trdmxl_instant ) THEN
             WRITE(numout,*) '             restart from kt == nit000 = ', nit000
+            IF(lflush) CALL flush(numout)
             CALL prt_ctl(tab2d_1=tmlbb   , clinfo1=' tmlbb   -   : ', mask1=tmask, ovlap=1)
             CALL prt_ctl(tab2d_1=tmlbn   , clinfo1=' tmlbn   -   : ', mask1=tmask, ovlap=1)
@@ -408,4 +410,5 @@
          ELSE
             WRITE(numout,*) '             restart from kt == nit000 = ', nit000
+            IF(lflush) CALL flush(numout)
             CALL prt_ctl(tab2d_1=tmlbn          , clinfo1=' tmlbn           -  : ', mask1=tmask, ovlap=1)
             CALL prt_ctl(tab2d_1=hmxlbn         , clinfo1=' hmxlbn          -  : ', mask1=tmask, ovlap=1)
@@ -633,4 +636,5 @@
             WRITE(numout,*) '          TRA zsmlres (jpi/2,jpj/2) : ', zsmlres (jpi/2,jpj/2)
             WRITE(numout,*) '          TRA zsmlres2(jpi/2,jpj/2) : ', zsmlres2(jpi/2,jpj/2)
+            IF(lflush) CALL flush(numout)
             !
          END IF
@@ -778,4 +782,5 @@
          WRITE(numout,*) '      unit conversion factor                     rn_ucf             = ', rn_ucf
          WRITE(numout,*) '      criteria to compute the MLD                rn_rho_c           = ', rn_rho_c
+         IF(lflush) CALL flush(numout)
       ENDIF
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRD/trdmxl_rst.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRD/trdmxl_rst.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRD/trdmxl_rst.F90	(revision 10774)
@@ -69,4 +69,5 @@
             ELSE                          ;   WRITE(numout,*) '             kt = '             , kt,' date= ', ndastp
             ENDIF
+            IF(lflush) CALL flush(numout)
          ENDIF
 
@@ -79,4 +80,5 @@
          WRITE(numout,*) '~~~~~~~~~~'
          WRITE(numout,*)
+         IF(lflush) CALL flush(numout)
       ENDIF
       IF(nn_timing == 2)  CALL timing_start('iom_rstput')
@@ -145,4 +147,5 @@
          WRITE(numout,*) ' trd_mxl_rst_read : read the NetCDF mixed layer trend restart file'
          WRITE(numout,*) ' ~~~~~~~~~~~~~~~~'
+         IF(lflush) CALL flush(numout)
       ENDIF
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRD/trdpen.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRD/trdpen.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRD/trdpen.F90	(revision 10774)
@@ -144,4 +144,5 @@
          WRITE(numout,*) 'trd_pen_init : 3D Potential ENergy trends'
          WRITE(numout,*) '~~~~~~~~~~~~~'
+         IF(lflush) CALL flush(numout)
       ENDIF
       !                           ! allocate box volume arrays
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRD/trdvor.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRD/trdvor.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRD/trdvor.F90	(revision 10774)
@@ -209,5 +209,5 @@
       IF( ndebug /= 0 ) THEN
          IF(lwp) WRITE(numout,*) ' debuging trd_vor_zint: I done'
-         CALL FLUSH(numout)
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
       !
@@ -305,5 +305,5 @@
       IF( ndebug /= 0 ) THEN
          IF(lwp) WRITE(numout,*) ' debuging trd_vor_zint: I done'
-         CALL FLUSH(numout)
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
       !
@@ -434,4 +434,5 @@
             WRITE(numout,*) 'trd_vor : write trends in the NetCDF file at kt = ', kt
             WRITE(numout,*) '~~~~~~~  '
+            IF(lflush) CALL flush(numout)
          ENDIF
  
@@ -452,5 +453,5 @@
          IF( ndebug /= 0 ) THEN
             WRITE(numout,*) ' debuging trd_vor: III.4 done'
-            CALL FLUSH(numout)
+            IF(lwp .AND. lflush) CALL flush(numout)
          ENDIF
          !
@@ -497,4 +498,5 @@
          WRITE(numout,*) '               ##########################################################################'
          WRITE(numout,*) ' '
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -510,5 +512,5 @@
       IF( ndebug /= 0 ) THEN
          WRITE(numout,*) ' debuging trd_vor_init: I. done'
-         CALL FLUSH(numout)
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -533,4 +535,5 @@
 
       IF(lwp) WRITE(numout,*) '               netCDF initialization'
+      IF(lwp .AND. lflush) CALL flush(numout)
 
       ! II.2 Compute julian date from starting date of the run
@@ -542,4 +545,5 @@
          &                   ' YEAR ', nyear,' MONTH '      , nmonth,   &
          &                   ' DAY ' , nday, 'Julian day : ', zjulian
+      IF(lwp .AND. lflush) CALL flush(numout)
 
       ! II.3 Define the T grid trend file (nidvor)
@@ -547,4 +551,5 @@
       CALL dia_nam( clhstnam, nn_trd, 'vort' )                  ! filename
       IF(lwp) WRITE(numout,*) ' Name of NETCDF file ', clhstnam
+      IF(lwp .AND. lflush) CALL flush(numout)
       CALL histbeg( clhstnam, jpi, glamf, jpj, gphif,1, jpi,   &  ! Horizontal grid : glamt and gphit
          &          1, jpj, nit000-1, zjulian, rdt, nh_t, nidvor, domain_id=nidom, snc4chunks=snc4set )
@@ -582,5 +587,5 @@
       IF( ndebug /= 0 ) THEN
          WRITE(numout,*) ' debuging trd_vor_init: II. done'
-         CALL FLUSH(numout)
+         IF(lflush) CALL flush(numout)
       ENDIF
       !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfbfr.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfbfr.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfbfr.F90	(revision 10774)
@@ -105,4 +105,5 @@
          WRITE(numout,*) 'zdf_bfr : Set bottom friction coefficient (non-linear case)'
          WRITE(numout,*) '~~~~~~~~'
+         IF(lflush) CALL flush(numout)
       ENDIF
       !
@@ -262,4 +263,5 @@
       IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~~'
       IF(lwp) WRITE(numout,*) '   Namelist nam_bfr : set bottom friction parameters'
+      IF(lwp .AND. lflush) CALL flush(numout)
       !
       SELECT CASE (nn_bfr)
@@ -399,4 +401,5 @@
       !
       IF(lwp) WRITE(numout,*) '      implicit bottom friction switch                ln_bfrimp  = ', ln_bfrimp
+      IF(lwp .AND. lflush) CALL flush(numout)
       !
       !                              ! Make sure ln_zdfexp=.false. when use implicit bfr
@@ -430,4 +433,5 @@
                    WRITE(numout,*) 'BFR ', narea, nimpp+ji, njmpp+jj, ikbu
                    WRITE(numout,*) 'BFR ', ABS( bfrcoef2d(ji,jj) ), zfru
+                   IF(lflush) CALL flush(numout)
                 ENDIF
                 ictu = ictu + 1
@@ -437,4 +441,5 @@
                      WRITE(numout,*) 'BFR ', narea, nimpp+ji, njmpp+jj, ikbv
                      WRITE(numout,*) 'BFR ', bfrcoef2d(ji,jj), zfrv
+                     IF(lflush) CALL flush(numout)
                  ENDIF
                  ictv = ictv + 1
@@ -452,4 +457,5 @@
                       WRITE(numout,*) 'TFR ', narea, nimpp+ji, njmpp+jj, ikbu
                       WRITE(numout,*) 'TFR ', ABS( tfrcoef2d(ji,jj) ), zfru
+                      IF(lflush) CALL flush(numout)
                    ENDIF
                    ictu = ictu + 1
@@ -459,4 +465,5 @@
                       WRITE(numout,*) 'TFR ', narea, nimpp+ji, njmpp+jj, ikbv
                       WRITE(numout,*) 'TFR ', tfrcoef2d(ji,jj), zfrv
+                      IF(lflush) CALL flush(numout)
                    ENDIF
                    ictv = ictv + 1
@@ -483,4 +490,5 @@
          IF ( ln_isfcav ) WRITE(numout,*) ' Top friction coefficient now ranges from: ', zmintfr, ' to ', zmaxtfr
          WRITE(numout,*) ' Bottom/Top friction coefficient will be reduced where necessary'
+         IF(lflush) CALL flush(numout)
       ENDIF
       ENDIF
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfddm.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfddm.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfddm.F90	(revision 10774)
@@ -255,4 +255,5 @@
          WRITE(numout,*) '      maximum avs for dd mixing      rn_avts   = ', rn_avts
          WRITE(numout,*) '      heat/salt buoyancy flux ratio  rn_hsbfr  = ', rn_hsbfr
+         IF(lflush) CALL flush(numout)
       ENDIF
       !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfevd.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfevd.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfevd.F90	(revision 10774)
@@ -69,4 +69,5 @@
          IF(lwp) WRITE(numout,*) '~~~~~~~ '
          IF(lwp) WRITE(numout,*)
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
 
